# Loads the properties of the rocket based on selected MENU_MOTOR, MENU_CORE,
# and MENU_UPPER_STAGE variants.
# The results are stored in the fake players:
# - PAYLOAD_CLASS
# - THRUST
# - FUEL
# - DELTA_V
# Also uses current mission stats which are also stores on fake players:
# - MISSION_PAYLOAD_CLASS
# - MISSION_DELTA_V
# - MISSION_MIN_FUEL
# - MISSION_MIN_THRUST
# Reset Boolean values. These boolean values start being TRUE, with each of the following
# tests setting them to FALSE if they fail the test.
scoreboard players set WRONG_PAYLOAD_CLASS var 1
scoreboard players set LOW_THRUST var 1
scoreboard players set LOW_FUEL var 1
scoreboard players set LOW_DELTA_V var 1
scoreboard players set HIGH_DELTA_V var 1
# Resets Boolean determining if a rocket is a success or not
scoreboard players set GOOD_ROCKET var 1
# Reset DELTA_UPPER and DELTA_LOWER values
scoreboard players set DELTA_V_UPPER var 0
scoreboard players set DELTA_V_LOWER var 0
# Setting values for upper and lower boundary of delta v
# Player will need to be in between those values to pass
scoreboard players operation DELTA_V_UPPER var = MISSION_DELTA_V var
scoreboard players operation DELTA_V_UPPER var += DELTA_V_OFFSET var
scoreboard players operation DELTA_V_LOWER var = MISSION_DELTA_V var
scoreboard players operation DELTA_V_LOWER var -= DELTA_V_OFFSET var
# Testing if min THRUST is reached. If true, sets LOW_THRUST to FALSE
scoreboard players operation @s tmp = THRUST var
scoreboard players operation @s tmp -= MISSION_MIN_THRUST var
execute @s[scores={tmp=-1..}] ~ ~ ~ scoreboard players set LOW_THRUST var 0
# Testing if min FUEL is reached. If true, sets LOW_FUEL to FALSE
scoreboard players operation @s tmp = FUEL var
scoreboard players operation @s tmp -= MISSION_MIN_FUEL var
execute @s[scores={tmp=-1..}] ~ ~ ~ scoreboard players set LOW_FUEL var 0
# Testing if min DELTA_V value is above the DELTA_V_LOWER. If true, sets LOW_DELTA_V to FALSE
scoreboard players operation @s tmp = DELTA_V var
scoreboard players operation @s tmp -= DELTA_V_LOWER var
execute @s[scores={tmp=0..}] ~ ~ ~ scoreboard players set LOW_DELTA_V var 0
# Testing if min DELTA_V value is under the DELTA_V_UPPER. If true, sets HIGH_DELTA_V to FALSE
scoreboard players operation @s tmp = DELTA_V var
scoreboard players operation @s tmp -= DELTA_V_UPPER var
execute @s[scores={tmp=..0}] ~ ~ ~ scoreboard players set HIGH_DELTA_V var 0
# Go over all boolean values. If all are set to 0 set GOOD_ROCKET to TRUE
scoreboard players operation @s tmp = LOW_THRUST var
execute @s[scores={tmp=1}] ~ ~ ~ scoreboard players set GOOD_ROCKET var 0
scoreboard players operation @s tmp = LOW_FUEL var
execute @s[scores={tmp=1}] ~ ~ ~ scoreboard players set GOOD_ROCKET var 0
scoreboard players operation @s tmp = LOW_DELTA_V var
execute @s[scores={tmp=1}] ~ ~ ~ scoreboard players set GOOD_ROCKET var 0
scoreboard players operation @s tmp = HIGH_DELTA_V var
execute @s[scores={tmp=1}] ~ ~ ~ scoreboard players set GOOD_ROCKET var 0